html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: Arial, Helvetica, sans-serif;
}

.wrapper {
    display: flex;
    height: 100vh;
}

.left {
    width: 80%;
    border-right: 1px solid #999;
    overflow: hidden;
    background: #ececec;
}

.left iframe {
    width: 100%;
    height: 100%;
    border: 0;
    display: block;
}

.right {
    width: 20%;
    display: flex;
    flex-direction: column;
    background: #f0f0f0;
}

.playerbox {
    flex: 0 0 auto;
    padding: 1px;
    border-bottom: 1px solid #bbb;
    background: #e3e3e3;
	width: 95%;
	height: 45px;
/* height: 40px; */
}

.playerbox h2 {
    margin: 0 0 8px 0;
    font-size: 18px;
    line-height: 1.2;
}

.playerbox audio {
    width: 100%;
    margin-bottom: 10px;
}


.playbtn {
    padding: 6px 12px;
    font-size: 14px;
    cursor: pointer;
    line-height: 1;
}

.songlist {
    flex: 1 1 auto;
    overflow-y: auto;
    padding: 10px;
}

.song {
    display: flex;
    align-items: center;
    gap: 6px;
    margin-bottom: 2px;
    padding: 2px 0;
    border-bottom: 1px solid #d0d0d0;
    cursor: move;
	flex-wrap: wrap;
}


.song-static {
    cursor: default;
}

.song-static .draghandle {
    display: none;
}

.draghandle {
    cursor: move;
    font-size: 14px;
    color: #666;
    user-select: none;
    flex: 0 0 auto;
}

.song.drag-over {
    outline: 1px dashed #666;
}

.song a {
    display: block;
    text-decoration: none;
    color: #003399;
    font-weight: bold;
    font-size: 16px;
    line-height: 1.3;
	 flex: 1 1 auto;
}

.song a:hover {
    text-decoration: underline;
}

tr.row-inactive td{
    background-color:#999 !important;
}

/* ######################################################## */
/* TOP MENU START                                            */
/* ######################################################## */

#topmenu{
    width:100%;
    background:#222222;
    border-bottom:1px solid #444444;
    font-family:Arial,Helvetica,sans-serif;
    font-size:13px;
    position:relative;
    z-index:9999;
}

#topmenu ul{
    margin:0;
    padding:0;
    list-style:none;
}


#topmenu ul.menu-root{
    display:flex !important;
    flex-direction:row !important;
    align-items:flex-start;
}


#topmenu ul.menu-root > li{
    position:relative;
}

#topmenu ul.menu-root > li > a{
    display:block;
    padding:8px 1px;
    color:#ffffff;
    text-decoration:none;
    background:#222222;
}

#topmenu ul.menu-root > li > a:hover{
    background:#444444;
}

#topmenu ul.submenu{
    display:none;
    position:absolute;
    left:0;
    top:100%;
    min-width:80px;
    background:#222222;
    border:1px solid #444444;
}

#topmenu ul.submenu li{
    display:block;
    width:100%;
}

#topmenu ul.submenu li a{
    display:block;
    padding:7px 12px;
    color:#ffffff;
    text-decoration:none;
    white-space:nowrap;
}

#topmenu ul.submenu li a:hover{
    background:#444444;
}

#topmenu ul.menu-root > li:hover > ul.submenu{
    display:block;
}

/* ######################################################## */
/* TOP MENU END                                              */
/* ######################################################## */


/* Erweiterung bei songwahl wird die zelle andersfarbig     */
.song-active {
    background: lightgrey !important;
}
.song-active a {
    color: #000;
}

.song-active .draghandle {
    color: #333;
}

/* Text von Titel und Interpret über dem player werden bei langem Text abgeschnitten, damit kein Umbruch im Layout entsteht   */
#currentSong {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 14px;
    height: 14px;
}


/* Button Play/Pause Grundformatierung */
.wavebtn {
	width:100% !important;
	height:40px;
	margin-top:0;
	font-size:13px;
	color:grey;
	font-weight:bold;
	border:2px solid #f4aaaa;
	box-sizing:border-box;
	cursor:pointer;
}

.wavebtn:hover {
	outline:2px dashed red;
	outline-offset:2px;
}


/* Button Play/Pause alte Formatierung, Backup! */
/* 	style="
		width:100%;
		height:24px;
		font-size:14px;
		color:grey;
		font-weight:bold;
		border:2px solid #f4aaaa;
 */

.song-volume-box input[type=range]{
    -webkit-appearance:none;
    appearance:none;

    width:100%;
    height:3px;

    background:transparent;
    outline:none;
}


/* =========================
   CHROME / EDGE
========================= */

.song-volume-box input[type=range]::-webkit-slider-runnable-track{
    height:3px;
    background:orange;
    border-radius:2px;
}

.song-volume-box input[type=range]::-webkit-slider-thumb{
    -webkit-appearance:none;
    appearance:none;

    width:22px;
    height:22px;

    border-radius:50%;
    background:#000;

    cursor:pointer;
    border:1px solid #444;

    margin-top:-10px;
}


/* =========================
   FIREFOX
========================= */

.song-volume-box input[type=range]::-moz-range-track{
    height:3px;
    background:orange;
    border:none;
    border-radius:2px;
}

.song-volume-box input[type=range]::-moz-range-progress{
    height:3px;
    background:orange;
    border:none;
    border-radius:2px;
}

.song-volume-box input[type=range]::-moz-range-thumb{
    width:22px;
    height:22px;

    border-radius:50%;
    background:#000;

    cursor:pointer;
    border:1px solid #444;
}